%{?drupal7_find_provides_and_requires}

%global module imagecache_token

Name:          drupal7-%{module}
Version:       0.99.2
Release:       1%{?dist}
Summary:       Provides additional tokens for image fields

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
# Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz
Source0:       https://ftp.drupal.org/files/projects/imagecache_token-7.x-1.0-rc2.tar.gz

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

%description
This module provides additional tokens for image fields. For each image
style available, a token [node:field_image_field:style_name] will be
provided. It is also possible to get image properties like width or
height by using tokens like [node:field_image_field:style_name:height].


This package provides the following Drupal module:
* %{module}


%prep
%setup -qn %{module}

# Create RPM README
cat > RPM-README.txt <<'RPM_README'
After installation, you must enable this module from the Drupal administration
page.

If upgrading this module separately from the core Drupal package, be sure to
run the http://hostname/drupal7/upgrade.php script after this RPM is upgraded.
RPM_README


%build
# Empty build section, nothing to build


%install
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc README.txt RPM-README.txt
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/*.txt


%changelog
* Fri Apr 14 2017 J. Randall Owens <jrowens@ghiapet.net> - 0.99.2-1
- Initial package

